Subject: Re: Git subtree stumbles over annotated tags

From: Gregor Jasny <[email-masked]>
Date: Thu, 17 Mar 2016 13:41:00 +0100

Hello,

On 10/03/16 16:51, Gregor Jasny wrote:
> today I discovered that it's a bad idea to "git subtree pull" from an
> annotated tag. This issue got discussed in those two threads:
>
> http://comments.gmane.org/gmane.comp.version-control.git/247503
> http://comments.gmane.org/gmane.comp.version-control.git/248395
>
> I was under the impression that it is fixed in recent versions of git
> but my homebrew 2.7.0 still behaves badly. If I run the attached script
> to reproduce the issue I get the following error message:

For the record: this bug was already fixed in November:
https://github.com/git/git/commit/5d65fe312e22594b7fec7349945fb0072987716b#diff-59f70cbe935ec223e3df413b94cab740

Would it make sense to cherry-pick it into 2.7.x?

Thanks,
Gregor